org.apache.sysds.runtime.controlprogram.parfor.opt

## Class CostEstimatorHops

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimatorHops

-     public class CostEstimatorHops
      extends CostEstimator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator

      `CostEstimator.DataFormat, CostEstimator.ExcludeType, CostEstimator.TestMeasure`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_MEM_SP`

    - ### Fields inherited from class org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator

      `DEFAULT_EST_PARALLELISM, DEFAULT_MEM_ESTIMATE_CP, DEFAULT_MEM_ESTIMATE_SP, DEFAULT_TIME_ESTIMATE, FACTOR_NUM_ITERATIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CostEstimatorHops(OptTreePlanMappingAbstract map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node)` Main leaf node estimation method - to be overwritten by specific cost estimators
    `double` | `getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node, Types.ExecType et)` Main leaf node estimation method - to be overwritten by specific cost estimators

    - ### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator

      `getEstimate, getEstimate, getEstimate, getEstimate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MEM_SP

          public static final double DEFAULT_MEM_SP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CostEstimatorHops

          public CostEstimatorHops(OptTreePlanMappingAbstract map)

  - ### Method Detail

    - #### getLeafNodeEstimate

          public double getLeafNodeEstimate(CostEstimator.TestMeasure measure,
                                            OptNode node)

      Description copied from class: `CostEstimator`
      Main leaf node estimation method - to be overwritten by specific cost estimators
      Specified by:
        `getLeafNodeEstimate` in class `CostEstimator`
      Parameters:
        `measure` - ?
        `node` - internal representation of a plan alternative for program blocks and instructions
      Returns:
        estimate?

    - #### getLeafNodeEstimate

          public double getLeafNodeEstimate(CostEstimator.TestMeasure measure,
                                            OptNode node,
                                            Types.ExecType et)

      Description copied from class: `CostEstimator`
      Main leaf node estimation method - to be overwritten by specific cost estimators
      Specified by:
        `getLeafNodeEstimate` in class `CostEstimator`
      Parameters:
        `measure` - ?
        `node` - internal representation of a plan alternative for program blocks and instructions
        `et` - forced execution type for leaf node
      Returns:
        estimate?

Copyright © 2021 The Apache Software Foundation. All rights reserved.